%define _unpackaged_files_terminate_build 0

%define krispver 20120916
%define geover 20120916
%define uagent Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.2; SV1; .NET CLR 1.1.4322)

Summary: Korean ISP library database
Summary(ko): 한국 ISP 라이브러리 데이터베이스
Name: libkrisp-data
Version: %{krispver}
Release: 1
Epoch: 1
License: KRNIC and Maxmind
Group: System Environment/Libraries
BuildRequires: sqlite curl
Source2: scheme
URL: http://devel.oops.org
Buildroot: /var/tmp/%{name}-%{version}-root
BuildArchitectures: noarch

%define krisp_geoip_svc http://mirror.oops.org/pub/oops/libkrisp/data/v2/krisp-geoip.csv-%{geover}.gz

%description
Database for libkrisp

%description -l ko
libkrisp에서 사용하는 데이터베이스

%prep
%{__rm} -rf %{buildroot}
%{__rm} -rf $RPM_BUILD_DIR/%{name}-%{version}
%{__mkdir_p} $RPM_BUILD_DIR/%{name}-%{version}

cd $RPM_BUILD_DIR/%{name}-%{version}
curl --user-agent "%{uagent}" -o krisp-geoip.csv-%{geover}.gz %{krisp_geoip_svc}

gzip -d *.gz
%{__ln_s} -f krisp-geoip.csv-%{geover} krisp-geoip.csv

%build

cd $RPM_BUILD_DIR/%{name}-%{version}
sqlite3 krisp.dat < %{SOURCE2}

%install

cd $RPM_BUILD_DIR/%{name}-%{version}
%{__mkdir_p} %{buildroot}%{_datadir}/krisp
%{__install} -m644 krisp-geoip.csv-%{geover} %{buildroot}%{_datadir}/krisp/krisp.csv
%{__install} -m644 krisp.dat %{buildroot}%{_datadir}/krisp/krisp.dat

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root)
%{_datadir}/krisp/krisp.dat
%{_datadir}/krisp/krisp.csv

%changelog
* Mon Sep 17 2012 JoungKyun.Kin <http://oops.org> 1:20120916-1
- update 20120916 data

* Wed Aug  9 2012 JoungKyun.Kin <http://oops.org> 1:20120809-1
- update 20120809 data

* Wed Apr 11 2012 JoungKyun.Kin <http://oops.org> 1:20120411-1
- update 20120411 data

* Fri Mar  9 2012 JoungKyun.Kin <http://oops.org> 1:20120309-1
- update 20120309 data

* Fri Feb 10 2012 JoungKyun.Kin <http://oops.org> 1:20120210-1
- update 20120210 data

* Tue Jan 24 2012 JoungKyun.Kim <http://oops.org> 1:20120105-1
- update 20120105 data

